Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 978076 - Ticket Monster: generated Administration section has issues saving updates to certain collections in entities
Summary: Ticket Monster: generated Administration section has issues saving updates to...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: JBoss Enterprise WFK Platform 2
Classification: Retired
Component: TicketMonster
Version: 2.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 2.4.0
Assignee: Pete Muir
QA Contact: Tomas Repel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-25 23:50 UTC by Vineet Reynolds
Modified: 2013-07-17 21:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
There is an issue in the Administration section of the TicketMonster example when it is generated using JBoss Forge. Deletion of performance dates and ticket prices does not work from the Edit Show screen. When you perform the delete operation, the deleted items disappear; but when you click the 'Save' button, the deleted items reappear. The root cause of this issue is in the implementation of JBoss Forge and not in the TicketMonster example. No workaround for this issue is currently known.
Clone Of:
Environment:
Last Closed: 2013-07-17 21:20:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FORGE-974 0 Critical Open Faces scaffolding does not correctly update collection members involved in bi-directional relationships when saving an e... 2014-05-29 13:45:06 UTC
Red Hat Issue Tracker WFK2-56 0 Major Closed Ticket Monster: generated Administration section has issues saving updates to certain collections in entities 2014-05-29 13:45:06 UTC

Description Vineet Reynolds 2013-06-25 23:50:10 UTC
Description of problem:

Deletion of performance dates and Ticket Prices doesn't work from the Edit Show screen. The items disappear, but after pressing "Save" button, they are back.

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Click an existing Show from the list of all Shows to view the Show details.
2. Click the Edit button to begin editing the Show.
3. Delete an existing Performance and/or a Ticket price.
4. Save the modified Show.
5. View the modified Show.

Actual results:

The deleted performances and ticket prices re-appear.

Expected results:

The deleted performances and ticket prices should be deleted on saving the modified Show.

Additional info:

This an underlying issue in JBoss Forge and not in the TicketMonster example .No workaround for this issue is currently known.

Comment 1 Sneha 2013-07-08 13:08:35 UTC
Updated doc text.

Comment 2 Vineet Reynolds 2013-07-17 21:46:49 UTC
Migrated to JIRA


Note You need to log in before you can comment on or make changes to this bug.